Debian Bug report logs - #701894
ITP: proot -- chroot, mount --bind, and binfmt_misc without privilege/setup

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Rémi Duraffort <ivoire@videolan.org>

Date: Thu, 28 Feb 2013 15:51:01 UTC

Owned by: "Rémi Duraffort" <ivoire@videolan.org>

Severity: wishlist

Fixed in version proot/3.0.2-1

Done: Rémi Duraffort <ivoire@videolan.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Rémi Duraffort" <ivoire@videolan.org>:
Bug#701894; Package wnpp. (Thu, 28 Feb 2013 15:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémi Duraffort <ivoire@videolan.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Rémi Duraffort" <ivoire@videolan.org>. (Thu, 28 Feb 2013 15:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rémi Duraffort <ivoire@videolan.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: proot -- chroot, mount --bind, and binfmt_misc without privilege/setup
Date: Thu, 28 Feb 2013 16:40:42 +0100
Package: wnpp
Severity: wishlist
Owner: "Rémi Duraffort" <ivoire@videolan.org>


* Package name    : proot
  Version         : 2.3.1
  Upstream Author : Cédric Vincent <cedric.vincent@st.com>
* URL             : http://proot.me
* License         : GPL
  Programming Lang: C
  Description     : chroot, mount --bind, and binfmt_misc without privilege/setup

PRoot is a user-space implementation of chroot, mount --bind,
and binfmt_misc.

This means that users don't need any privileges or setup to do things like
using an arbitrary directory as the new root filesystem, making files
accessible somewhere else in the filesystem hierarchy, or executing programs
built for another CPU architecture transparently through QEMU user-mode.

Also, developers can add their own features or use PRoot as a Linux process
instrumentation engine thanks to its extension mechanism.

Technically PRoot relies on ptrace, an unprivileged system-call available in
every Linux kernel.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Rémi Duraffort" <ivoire@videolan.org>:
Bug#701894; Package wnpp. (Fri, 01 Mar 2013 09:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémi Duraffort <ivoire@videolan.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Rémi Duraffort" <ivoire@videolan.org>. (Fri, 01 Mar 2013 09:27:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Rémi Duraffort <ivoire@videolan.org>
To: <701894@bugs.debian.org>
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#701894: ITP: proot -- chroot, mount --bind, and binfmt_misc without privilege/setup
Date: Fri, 01 Mar 2013 11:22:19 +0200
The proot package can be found at this adresse.

http://ivoire.dinauz.org/debian/proot/


Any comments and request for modifications are welcome.


Rgds

-- 
Rémi Duraffort | ivoire
http://ivoire.dinauz.org/blog/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Rémi Duraffort" <ivoire@videolan.org>:
Bug#701894; Package wnpp. (Fri, 01 Mar 2013 09:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémi Duraffort <ivoire@videolan.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Rémi Duraffort" <ivoire@videolan.org>. (Fri, 01 Mar 2013 09:30:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 16 Jul 2013 20:06:06 GMT) Full text and rfc822 format available.

Reply sent to Rémi Duraffort <ivoire@videolan.org>:
You have taken responsibility. (Mon, 19 Aug 2013 21:03:08 GMT) Full text and rfc822 format available.

Notification sent to Rémi Duraffort <ivoire@videolan.org>:
Bug acknowledged by developer. (Mon, 19 Aug 2013 21:03:08 GMT) Full text and rfc822 format available.

Message #22 received at 701894-close@bugs.debian.org (full text, mbox):

From: Rémi Duraffort <ivoire@videolan.org>
To: 701894-close@bugs.debian.org
Subject: Bug#701894: fixed in proot 3.0.2-1
Date: Mon, 19 Aug 2013 21:01:39 +0000
Source: proot
Source-Version: 3.0.2-1

We believe that the bug you reported is fixed in the latest version of
proot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701894@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rémi Duraffort <ivoire@videolan.org> (supplier of updated proot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 03 Jul 2013 11:13:33 +0200
Source: proot
Binary: proot
Architecture: source amd64
Version: 3.0.2-1
Distribution: unstable
Urgency: low
Maintainer: Rémi Duraffort <ivoire@videolan.org>
Changed-By: Rémi Duraffort <ivoire@videolan.org>
Description: 
 proot      - emulate chroot, bind mount and binfmt_misc for non-root users
Closes: 701894
Changes: 
 proot (3.0.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #701894)
Checksums-Sha1: 
 d12ba90764c25a01613ba3a54f5a2c51f8cad692 1786 proot_3.0.2-1.dsc
 34d1d63ebaa0931be0f6196dc88c549809e10542 143804 proot_3.0.2.orig.tar.gz
 5cf577e831f840e88bdfbdde2f631879ec2df59e 2185 proot_3.0.2-1.debian.tar.gz
 dc5a92c05b83a36820ae9a9f343c4da7ec551ab3 72078 proot_3.0.2-1_amd64.deb
Checksums-Sha256: 
 42265e160fb0d56a3fbc4f09b1211f427098aba1dca41b73630b2394f026d2d3 1786 proot_3.0.2-1.dsc
 db6f19727902b99368d4e7529e3b52b79c43c511175e0a32462a5ba828a4f6d8 143804 proot_3.0.2.orig.tar.gz
 277d5bd1522c503e11385fa226b128f954871e8b6f3348508c23fcdd37d564e0 2185 proot_3.0.2-1.debian.tar.gz
 973b11bc057495bb12248745fc7a6600a1d0d96ce4d025c920a4c2f1e8b6ce10 72078 proot_3.0.2-1_amd64.deb
Files: 
 d31f04149d6555b14e58ef81a368693e 1786 utils optional proot_3.0.2-1.dsc
 7a756d8af7e2f85d1d9aae40879ed28d 143804 utils optional proot_3.0.2.orig.tar.gz
 25fed4148ab45dac0a0ed96f475a1aad 2185 utils optional proot_3.0.2-1.debian.tar.gz
 a82597e8d7e21629c4da841355f8e14c 72078 utils optional proot_3.0.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJR5PcuAAoJEAVcSzX////+JZsP/R3L/h6acU/aUcAw9hm9LN8q
XdCcFRZd62Rm6ng1HnkshrqaZd/qlRX/jXBjE0zP3n5Q1mA1S3FvN5D5O0EOVxYP
ASjQsPWB/AnQIFWWNGEMGR2y0JBNEg0fKuMiKx19VglbfJSu+JKdhHbY70VqO/Rr
dSXnK9/sh0l6C3wxzQUiE/BqmiLPfqpbuh0B6z/eu0lQl7hQSyeBoY/WdZN/UOIF
ETWKqEnyEZfjwyTYYsi6XT2X0oGMrHhPRqMWZG1j00G+di8ZWK9riwKEvJXDMDXw
uzHsm3Vmh5UL1/5lXZlUhZnJA/m2+4+Y9Fm5kzWpBXxF9+DkPoIHQmRk7hnkk4aX
XChc0hBa//U451QB6amHncyOIyenSgFv6COycHgKtu/AKj9L1ykD6X040zhwB9qa
ys/38VAzFMDJWLqofOdW3+yWRBRQkOrMPVATl7R06TgH10bes30zr4LOnGYoOQSa
8DdOy7sICcT4n/0umJ0GpcrsmR49qOnvZHZa6MGTCkreCoUgvX/hXYXnk0M+S4S2
aRJIueLFRRJQ2g8liPl9MjKltBF5lsTjwJiYNlh6neChAt3/gALfYtA6ZVzRFzWx
/qDvdWV/CtBL5i0uICSXb1JJ5WqZJWdB5jzwTvD41f328sDT92XfwfEcjbkLn3pg
DJxJ39HsiFMozFiB3I5x
=dQcZ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Sep 2013 07:30:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:19:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.